## org.eclipse.m2m.qvt.oml.debug.core.vm
Class Value.Type

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.Value.Type

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Value

    public static class Value.Type

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`java.lang.String` `actualType`
`static int` `COLLECTION`
`static int` `DATATYPE`
`java.lang.String` `declaringType`
`static int` `EOBJECT`
`int` `kind`

Constructor Summary
`Value.Type(int kind, java.lang.String actualType, java.lang.String declaringType)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATATYPE

    public static final int DATATYPE

See Also:
  Constant Field Values

### EOBJECT

    public static final int EOBJECT

See Also:
  Constant Field Values

### COLLECTION

    public static final int COLLECTION

See Also:
  Constant Field Values

### declaringType

    public final java.lang.String declaringType

### actualType

    public final java.lang.String actualType

### kind

    public final int kind

Constructor Detail

### Value.Type

    public Value.Type(int kind,
                      java.lang.String actualType,
                      java.lang.String declaringType)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.